<link rel="import" href="chrome://resources/polymer/v1_0/polymer/polymer.html">
<link rel="import" href="chrome://resources/polymer/v1_0/paper-checkbox/paper-checkbox.html">
<link rel="import" href="chrome://resources/cr_elements/v1_0/network/cr_onc_types.html">
<link rel="import" href="network_property_list.html">

<dom-module id="network-ip-config">
  <link rel="import" type="css" href="network_ip_config.css">
  <template>
    <div id="outer" class="layout vertical">
      <paper-checkbox checked="{{automatic}}" disabled="[[!editable]]">
          Configure IP Address Automatically
      </paper-checkbox>
      <network-property-list
          fields="[[ipConfigFields_]]" network-state="[[ipConfig]]"
          edit-field-types="[[getIPEditFields_(ipConfig, editable, automatic)]]"
          on-property-change="onIPChange_">
      </network-property-list>
    </div>
  </template>
  <script src="network_ip_config.js"></script>
</dom-module>
